<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=viewport, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form id="authenticationForm">
        <div>
            <label for="email">Email</label>
            <input type="email" id="email" name="email">
        </div>
        <div>
            <label for="password">Password</label>
            <input type="password" id="password" name="password">
        </div>
        <button type="submit" id="signIn">Sign In</button>
        <button type="submit" id="signUp">Sign Up</button>
    </form>

    <div id="hiddenContent">
        <h1>Hidden Content</h1>
        <p>Some hidden content</p>
        <p>Welcome <span id="username"></span></p>
        <button id="signOut">Sign Out</button>
    </div>
    <script type="module" src="./auth.js"></script>
</body>
</html>